Get node DNS
curl --request GET \
--url https://{host}/api/supervisors/{name}/networking/dns \
--cookie k8s-gate-session=import requests
url = "https://{host}/api/supervisors/{name}/networking/dns"
headers = {"cookie": "k8s-gate-session="}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {cookie: 'k8s-gate-session='}};
fetch('https://{host}/api/supervisors/{name}/networking/dns', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{host}/api/supervisors/{name}/networking/dns",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_COOKIE => "k8s-gate-session=",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://{host}/api/supervisors/{name}/networking/dns"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("cookie", "k8s-gate-session=")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://{host}/api/supervisors/{name}/networking/dns")
.header("cookie", "k8s-gate-session=")
.asString();require 'uri'
require 'net/http'
url = URI("https://{host}/api/supervisors/{name}/networking/dns")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["cookie"] = 'k8s-gate-session='
response = http.request(request)
puts response.read_body{
"global": {
"rules": [
{
"action": "<string>",
"state": "<string>",
"answers": [
"<string>"
],
"comment": "<string>",
"name": "<string>",
"pattern": "<string>",
"reason": "<string>",
"servers": [
"<string>"
],
"ttl": 123,
"types": [
"<string>"
],
"zone": "<string>"
}
],
"threatBlock": true,
"upstreams": [
"<string>"
],
"upstreamsInherited": true,
"error": "<string>",
"honeypot": true,
"revision": "<string>",
"sinkholeIpv4": "<string>",
"sinkholeIpv6": "<string>",
"updatedAt": "2023-11-07T05:31:56Z",
"updatedBy": "<string>"
},
"ownedHere": true,
"settings": {
"cacheSeconds": 123,
"capture": true,
"enabled": true,
"enforce": true,
"honeypot": "<string>",
"queryLog": true,
"redirect": true,
"rules": [
{
"action": "<string>",
"answers": [
"<string>"
],
"comment": "<string>",
"name": "<string>",
"pattern": "<string>",
"servers": [
"<string>"
],
"ttl": 123,
"types": [
"<string>"
],
"zone": "<string>"
}
],
"sinkholeIpv4": "<string>",
"sinkholeIpv6": "<string>",
"upstreams": [
"<string>"
]
},
"status": {
"agentInstalled": true,
"allowPolicy": true,
"capture": {
"enabled": true,
"nodes": [
{
"bridged": [
"<string>"
],
"captured": 123,
"eligible": 123,
"failed": [
"<string>"
],
"node": "<string>",
"pending": 123,
"dnatTo": "<string>",
"error": "<string>",
"target": "<string>"
}
],
"bridgedDns": [
{
"nameservers": [
"<string>"
],
"throughSupervisor": true,
"vm": "<string>",
"machine": "<string>",
"unknown": "<string>"
}
],
"target": "<string>"
},
"central": {
"desired": 123,
"filterReady": 123,
"ready": 123,
"running": true,
"serviceIp": "<string>"
},
"ciliumLocalRedirect": true,
"clusterDomain": "<string>",
"desired": 123,
"encryptedDns": {
"block": true,
"names": 123,
"error": "<string>",
"filterRevision": "<string>"
},
"enforcePolicy": true,
"nodes": [
{
"node": "<string>",
"pod": "<string>",
"ready": true
}
],
"queryLogReceiver": true,
"ready": 123,
"redirected": true,
"rulesApplied": [
"<string>"
],
"running": true,
"socketLBHostNamespaceOnly": true,
"threats": {
"allowed": 123,
"block": true,
"capped": 123,
"inCluster": 123,
"names": 123,
"own": 123,
"shards": 123,
"error": "<string>",
"honeypot": {
"allPorts": true,
"ready": true,
"address": "<string>",
"image": "<string>",
"message": "<string>",
"podAddress": "<string>"
},
"sinkholeFrom": "<string>",
"sinkholeIpv4": "<string>",
"sinkholeIpv6": "<string>"
},
"updated": 123,
"corednsImage": "<string>",
"globalRevision": "<string>",
"image": "<string>",
"messages": [
"<string>"
],
"upstreamIp": "<string>"
},
"owner": "<string>"
}{
"error": "<string>"
}networking
Get node DNS
Node DNS — Networking → DNS (node_dns.go).
Authorisation: cilium:GetState on krn:celum:supervisor:{name}:cilium:*.
Assistant tool: get_node_dns
GET
/
api
/
supervisors
/
{name}
/
networking
/
dns
Get node DNS
curl --request GET \
--url https://{host}/api/supervisors/{name}/networking/dns \
--cookie k8s-gate-session=import requests
url = "https://{host}/api/supervisors/{name}/networking/dns"
headers = {"cookie": "k8s-gate-session="}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {cookie: 'k8s-gate-session='}};
fetch('https://{host}/api/supervisors/{name}/networking/dns', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{host}/api/supervisors/{name}/networking/dns",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_COOKIE => "k8s-gate-session=",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://{host}/api/supervisors/{name}/networking/dns"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("cookie", "k8s-gate-session=")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://{host}/api/supervisors/{name}/networking/dns")
.header("cookie", "k8s-gate-session=")
.asString();require 'uri'
require 'net/http'
url = URI("https://{host}/api/supervisors/{name}/networking/dns")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["cookie"] = 'k8s-gate-session='
response = http.request(request)
puts response.read_body{
"global": {
"rules": [
{
"action": "<string>",
"state": "<string>",
"answers": [
"<string>"
],
"comment": "<string>",
"name": "<string>",
"pattern": "<string>",
"reason": "<string>",
"servers": [
"<string>"
],
"ttl": 123,
"types": [
"<string>"
],
"zone": "<string>"
}
],
"threatBlock": true,
"upstreams": [
"<string>"
],
"upstreamsInherited": true,
"error": "<string>",
"honeypot": true,
"revision": "<string>",
"sinkholeIpv4": "<string>",
"sinkholeIpv6": "<string>",
"updatedAt": "2023-11-07T05:31:56Z",
"updatedBy": "<string>"
},
"ownedHere": true,
"settings": {
"cacheSeconds": 123,
"capture": true,
"enabled": true,
"enforce": true,
"honeypot": "<string>",
"queryLog": true,
"redirect": true,
"rules": [
{
"action": "<string>",
"answers": [
"<string>"
],
"comment": "<string>",
"name": "<string>",
"pattern": "<string>",
"servers": [
"<string>"
],
"ttl": 123,
"types": [
"<string>"
],
"zone": "<string>"
}
],
"sinkholeIpv4": "<string>",
"sinkholeIpv6": "<string>",
"upstreams": [
"<string>"
]
},
"status": {
"agentInstalled": true,
"allowPolicy": true,
"capture": {
"enabled": true,
"nodes": [
{
"bridged": [
"<string>"
],
"captured": 123,
"eligible": 123,
"failed": [
"<string>"
],
"node": "<string>",
"pending": 123,
"dnatTo": "<string>",
"error": "<string>",
"target": "<string>"
}
],
"bridgedDns": [
{
"nameservers": [
"<string>"
],
"throughSupervisor": true,
"vm": "<string>",
"machine": "<string>",
"unknown": "<string>"
}
],
"target": "<string>"
},
"central": {
"desired": 123,
"filterReady": 123,
"ready": 123,
"running": true,
"serviceIp": "<string>"
},
"ciliumLocalRedirect": true,
"clusterDomain": "<string>",
"desired": 123,
"encryptedDns": {
"block": true,
"names": 123,
"error": "<string>",
"filterRevision": "<string>"
},
"enforcePolicy": true,
"nodes": [
{
"node": "<string>",
"pod": "<string>",
"ready": true
}
],
"queryLogReceiver": true,
"ready": 123,
"redirected": true,
"rulesApplied": [
"<string>"
],
"running": true,
"socketLBHostNamespaceOnly": true,
"threats": {
"allowed": 123,
"block": true,
"capped": 123,
"inCluster": 123,
"names": 123,
"own": 123,
"shards": 123,
"error": "<string>",
"honeypot": {
"allPorts": true,
"ready": true,
"address": "<string>",
"image": "<string>",
"message": "<string>",
"podAddress": "<string>"
},
"sinkholeFrom": "<string>",
"sinkholeIpv4": "<string>",
"sinkholeIpv6": "<string>"
},
"updated": 123,
"corednsImage": "<string>",
"globalRevision": "<string>",
"image": "<string>",
"messages": [
"<string>"
],
"upstreamIp": "<string>"
},
"owner": "<string>"
}{
"error": "<string>"
}Authorizations
sessionCookiebearerToken
The session cookie issued by the OIDC sign-in flow. This is what a browser uses.
Path Parameters
The supervisor's name, as registered under Administration → Supervisors.